//---------------------------------------------------------------------------

#include <vcl.h>
#include <jpeg.hpp>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FileListBox1Change(TObject *Sender)
{
	Label2->Caption=FileListBox1->FileName;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button1Click(TObject *Sender)
{
	//AnsiString n=Application->ExeName;
	AnsiString n=FileListBox1->FileName;
	if (n.IsEmpty())
	{
		ShowMessage("Wskaż nazwę pliku w komponencie FileListBox1");
		return;
	}

	AnsiString w="Pełna nazwa pliku: "+n+"\n";
	w+="Nazwa katalogu: "+ExtractFileDir(n)+"\n";
	w+="Nazwa pliku: "+ExtractFileName(n)+"\n";
	w+="Symbol dysku: "+ExtractFileDrive(n)+"\n";
	w+="Rozszerzenie pliku: "+ExtractFileExt(n)+"\n";
	w+="Względna ścieżka: "+ExtractRelativePath(GetCurrentDir(),n)+"\n";
	w+="Pełna nazwa pliku w formacie 8.3: "+ExtractShortPathName(n)+"\n";

	ShowMessage(w);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FileListBox1DblClick(TObject *Sender)
{
	if (FileExists(FileListBox1->FileName))
		Image1->Picture->LoadFromFile(FileListBox1->FileName);
	else
	{
	AnsiString NowyKatalog=ExtractFileName(FileListBox1->FileName); //Nazwa katalogu z []
	NowyKatalog=NowyKatalog.SubString(2,NowyKatalog.Length()-2); //Pozbywamy sie nawiasow kwadratowych
	if (DirectoryExists(NowyKatalog)) FileListBox1->Directory=NowyKatalog;
	}
}
//---------------------------------------------------------------------------
